include ./locales/default_text

-
  var order = {
    "subject": "新光三越美食地圖外帶已完成訂購 [{ uniNum }]",
    "title": "餐點已完成訂購",
    "content": "餐廳接單後，您的餐點將會於預計時間準備完成，屆時會再以簡訊通知您前來取餐。餐廳有保留接單與否的權利，接單後如需取消訂單，請至訂單頁面與客服聯絡。",
    "reservationTime": "{YYYY/MM/DD HH:mm:ss}",
    "partnerInfo": {
      "restaurant": {
        "companyName": "{companyName}"
      }
    },
    "payments": [{ "amount": "{amount}", "delivery": "{delivery}" }],
    "link": "https://www.google.com/"
  }

include ./locales/text

-
  text.title = order.title
  text.orderTitle = order.orderTitle
  text.content = order.content
  text.greeting = defaultText.greeting
  text.orderTitle = defaultText.orderTitle
  text.company = defaultText.company
  text.date = defaultText.date
  text.code = defaultText.code
  text.price = defaultText.price
  text.viewOrder = defaultText.viewOrder
  text.desc = defaultText.desc
  text.delivery = defaultText.delivery



mjml
  include ./include/email_header.pug
  mj-body(background-color="#f3f4f5")
    mj-wrapper(padding="0 20px 0")
      include ./include/email_body_top.pug

      //- content

      mj-section(padding="0")
        mj-column
          mj-text(padding-bottom="10px") !{text.orderTitle}
      mj-section(mj-class="border radius")
        mj-column(mj-class="border-inner radius")
          mj-table(mj-class="order-table")
            tr.order-row
              td !{text.company}
              td(style="text-align: right") !{order.partnerInfo.restaurant.companyName}
            tr.order-row
              td #{text.date}
              td(style="text-align: right") !{order.reservationTime}
            tr.order-row
              td #{text.code}
              td(style="text-align: right") !{'#' + order.uniNum}
            tr.order-row
              td #{text.price}
              td(style="text-align: right") !{order.payments[0].amount}
            tr.order-row
              td #{text.delivery}
              td(style="text-align: right") !{order.payments[0].delivery}
            - if (invoice) {
              - if (invoice.invoiceNumber) {
                tr.order-row
                  td #{text.invoice}
                  td(style="text-align: right") !{invoice.invoiceNumber}
              - }
              tr.order-row
                td #{text.invoiceDonation}
                td(style="text-align: right") !{invoice.donation}
              - if (invoice.companyName) {
                tr.order-row
                  td #{text.companyName}
                  td(style="text-align: right") !{invoice.companyName}
              - }
              - if (invoice.vat) {
                tr.order-row
                  td #{text.taxNumber}
                  td(style="text-align: right") !{invoice.vat}
              - }
            - }

      //- content end

      include ./include/email_body_footer.pug
